View Issue Details

IDProjectCategoryView StatusLast Update
0006946Talermechant backendpublic2021-09-02 18:23
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006946: merchant backend should auto-reload stale instance settings from database
DescriptionIn case another merchant backend changes the instance settings, taler-merchant-httpd currently fails to notice the changed settings (or existence of new instance, or even deletion). We should thus have a job that periodically syncs our state with that of the database, likely best running at a randomized time to avoid self-synchronization causing spikes in DB load from this.
TagsNo tags attached.

Activities

Christian Grothoff

2021-08-01 15:01

manager   ~0018045

Implemented in 76cf111..cdde197, alas using DB triggers instead of staleness detection.

Christian Grothoff

2021-09-02 18:23

manager   ~0018344

Fix committed to master branch.

Related Changesets

merchant: master cdde1979

2021-08-01 14:26:07

Christian Grothoff

Details Diff
fix 0006946: reload merchant instance settings from DB on change Affected Issues
0006946
mod - src/backend/taler-merchant-httpd.c Diff File
mod - src/backend/taler-merchant-httpd.h Diff File
mod - src/backend/taler-merchant-httpd_private-delete-instances-ID.c Diff File
mod - src/backend/taler-merchant-httpd_private-patch-instances-ID.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-instances-ID-auth.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-instances.c Diff File
mod - src/backenddb/plugin_merchantdb_postgres.c Diff File
mod - src/include/taler_merchantdb_plugin.h Diff File

Issue History

Date Modified Username Field Change
2021-07-23 13:30 Christian Grothoff New Issue
2021-07-23 13:30 Christian Grothoff Status new => assigned
2021-07-23 13:30 Christian Grothoff Assigned To => Christian Grothoff
2021-07-23 14:24 Christian Grothoff Priority normal => high
2021-07-30 14:31 Christian Grothoff Target Version => 0.9
2021-07-31 23:29 Christian Grothoff Target Version 0.9 => 0.8
2021-08-01 15:01 Christian Grothoff Status assigned => resolved
2021-08-01 15:01 Christian Grothoff Resolution open => fixed
2021-08-01 15:01 Christian Grothoff Fixed in Version => 0.8
2021-08-01 15:01 Christian Grothoff Note Added: 0018045
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master cdde1979
2021-09-02 18:23 Christian Grothoff Note Added: 0018344